# gnu-keywords

Das ist das Repo für die Abgabe von Beat Jäckle zu dem [Wettbewerb von gnulinux.ch](https://gnulinux.ch/wettbewerb-gnu-linux-ch-verschlagworten).

Die Datei `data.zip` wird benötigt und stammt von der [GNU/Linux.ch Cloud](https://cloud.gnulinux.ch/index.php/s/YTw6dn4wFKGA7oi).
Der Download kann mit `setup.sh` durchgeführt werden.

Diese Software ist lizensiert unter GPL3+.

## Installation

Kopiere dieses Reprository an einen beliebigen Ort auf deinem Computer.

In der `setup.sh` Datei sind die Anweisungen gespeichert.
Die Datei kann auch als Bash-Skript ausgeführt werden.

## Start

Die Pythonumgebung muss aktiviert sein.
`. .env/bin/activate`

Danach kann man die `main.py` ausführen.
Momentan git es keine Optionen, die man in der Befehlszeile anpassen könnte.

Beim ersten mal Starten lädt die Software das Sprachmodul herunder. Dies kann länger dauern.

## Anpassungen

Die Konfiguartionen für das Programm ist in der `config.py` Datei direkt im Python Syntax gespeichert.
Darin kann man die Parameter anpassen, welche schlüsselgebend für die Bestimmung der Keywords sind.

Wenn der Ablauf angepasst werden sollte, so kann man die `main.py` sehr gut anpassen.
Der Prozess besteht aus 9 Zeilen. Dieser ist in drei Blöcke unterteilt:

 - Initialisierung der Objekte  
 4 Zeilen
 - Keywords bestimmen  
 3 Zeilen
 - Export  
 2 Zeilen

# Mögliche Roadmap

 - Die `main.py` Datei könnte eine usage/help bekommen.
 - Optionen in die `main.py` einbauen.
 - Die Score Funktionen in `gnukeywords.py` können natürlich ganz anders gschrieben werden.
