#
# settings for gnukeywords
# SPDX-FileCopyrightText: 2022 Beat Jäckle <beat@git,jdmweb2.ch>
# SPDX-License-Identifier: WTFPL

# Wortwarten
# posAllow sind erlaubte Wortwarten
# posDeny sind nicht erlaubte Wortwarten
posAllow = {'NOUN', 'PROPN', 'ADJ', 'ADV'}
posDeny = {'VERB', 'SPACE', 'X', 'PUNCT', 'ADP',
           'NUM', 'PRON', 'DET', 'SCONJ', 'PART', 'AUX', 'CCONJ'}

# Einzelne Wörter ganz auslassen
skipWord = {
    'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa', 'So',
    'Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli',
    'August', 'September', 'Oktober', 'November', 'Dezember',
    'Linux', 'Befehl',
    'S.u', 'S.E.', '4.4.1',
    }

# Hier können wir gewisse Wörter oder Abkürzungen festhalten,
# welche beim verarbeiten in der Software ersetzt werden.
remap = {
    'Apps': 'App',
    'Pakete': 'Paket',
    'CLT': 'Chemnitzer Linux Tage'
}

# Hier können wir gewichten, wie viel ein "ent" Wort wert hat.
# Ich finde die "ent"-Wörter sehr gute Keywords,
# also gab ich eine hohe Punktzahl.
entsScore = 10
